import java.io.*;

// Import packages for Apache POI library. 

import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class ReadDataFromExcelFile {

	public static void main(String[] args) throws IOException {

		// To locate the path of excel file.
		FileInputStream file = new FileInputStream(new File(System.getProperty("user.dir") + "\\input.xlsx"));

		// Initialize the excel file as a workbook.
		XSSFWorkbook workbook = new XSSFWorkbook(file);

		// initialize the Excel Sheet of the workbook, (0) denotes first sheet of the
		// workbook.
		XSSFSheet sheet = workbook.getSheetAt(0);

		// 0 denotes to first row and first cell of the excel sheet.
		String str = sheet.getRow(0).getCell(0).getStringCellValue();
		System.out.println("String Fecth from Excel:- "+str);

		// 1 denotes to Second row and 0 denotes first cell of the excel sheet.
		Number num = sheet.getRow(1).getCell(0).getNumericCellValue();
		System.out.println("Number Fecth from Excel:- "+num);

		// close the excel file.
		file.close();

	}
}
